<template lang="pug">
  div.box
    NuxtLink(:to="localePath(`/product/${slug}`)")
      div.card-title
        h4 {{manuf}}
      div.card-subtitle
        h3 {{name}}
      div.card-image
        nuxt-img(:src='`https://tohru.luciascipher.com${image}`' :alt="`${manuf} ${name}`")
      div.prices(v-if="discount")
        div.card-price.original
          span {{price.toLocaleString()}}
          sub.currency rsd
        div.card-price.discounted.shining
          span #[i.bx.bxs-down-arrow.tiny] {{discount.toLocaleString()}}
          sub.currency rsd
      div.prices(v-else)
        div.card-price
          span {{price.toLocaleString()}}
          sub.currency rsd
      div.card-button
        NuxtLink(:to="localePath(`/product/${slug}`)")
          b-button.is-primary {{$t('learnMore')}}
</template>

<script>
import slugify from 'slugify'

export default {
  name: 'Card',
  props: {
    id: {
      type: Number,
      required: true
    },
    name: {
      type: String,
      required: true
    },
    manuf: {
      type: String,
      required: true
    },
    image: {
      type: String,
      required: true
    },
    price: {
      type: Number,
      default: 0
    },
    discount: {
      type: Number,
      default: null
    },
  },
  data() {
    return {
      slug: slugify(`${this.id}-${this.manuf}-${this.name}`, { lower: true, remove: /[*+~.()'"!:@]/g }),
    }
  },
}
</script>

<style lang="scss" scoped>
.discount {
  .old-card-price {
    display: flex !important;
  }
}
.box {
  width: 300px;
  background-color: #f7f7f7;
  border-radius: 0px;
  margin-bottom: 1.5rem;
  margin-right: 2em;
  .old-card-price {
    color: #808080;
    text-decoration: line-through;
    align-items: baseline;
    display: none;
    flex-direction: row;
    justify-content: center;
    font-size: 1.5em;
    align-items: baseline;
    .currency {
      text-transform: uppercase;
      font-size: 50%;
    }
  }
  .card-image {
    height: 256px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .card-price {
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-size: 2.2em;
    align-items: baseline;
    color: black;
    .currency {
      text-transform: uppercase;
      font-size: 50%;
    }
    &.original {
      font-size: 1rem;
      text-align: right;
      display: block;
      margin-bottom: -1.5rem;
      & span {
        text-decoration: line-through;
        color: red;
      }
    }
    &.discounted {
      color: #006d77;
    }
  }
  .card-button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    button {
      border-radius: 0;
    }
  }
}
i.tiny {
  font-size: 1rem;
}
@media only screen and (max-width: 1024px) {
  .box {
    margin-right: 0 !important;
  }
}
</style>
